=== debian/changelog ===
trinity (1.2-1) unstable; urgency=low

  * New upstream version 1.2
  * Enable hardening options

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 23 Jul 2013 11:09:05 +1000

trinity (1.1-1) unstable; urgency=low

  * Initial release (Closes: #700506)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 12 Feb 2013 23:40:12 -0300
