=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	./configure.sh

override_dh_auto_install:
	make install DESTDIR=./usr

override_dh_clean:
	make clean
	rm -rf tmp
	rm -rf config.h

%:
	dh $@
