## trinity 1.3

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,18 @@
-VERSION=1.2
+VERSION=1.3
 
 INSTALL_PREFIX ?= $(DESTDIR)
 INSTALL_PREFIX ?= $(HOME)
 
+ifeq ($(CC),"")
+CC := gcc
+endif
 CC := $(CROSS_COMPILE)$(CC)
 LD := $(CROSS_COMPILE)$(LD)
 
-CFLAGS = -Wall -W -g -O2 -I. -Iinclude/ -Wimplicit -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE
+CFLAGS := -Wall -W -g -O2 -I. -Iinclude/ -Wimplicit -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE
+ifneq ($(SYSROOT),)
+CFLAGS += --sysroot=$(SYSROOT)
+endif
 #CFLAGS += $(shell if $(CC) -m32 -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-m32"; fi)
 CFLAGS += -Wdeclaration-after-statement
 CFLAGS += -Wformat=2
@@ -45,16 +51,18 @@
 HEADERS		= $(patsubst %.h,%.h,$(wildcard *.h)) $(patsubst %.h,%.h,$(wildcard syscalls/*.h)) $(patsubst %.h,%.h,$(wildcard ioctls/*.h))
 
 SRCS		= $(wildcard *.c) \
+		  $(wildcard children/*.c) \
+		  $(wildcard ioctls/*.c) \
+		  $(wildcard net/*.c) \
 		  $(wildcard syscalls/*.c) \
-		  $(SYSCALLS_ARCH) \
-		  $(wildcard ioctls/*.c) \
-		  $(wildcard net/*.c)
+		  $(SYSCALLS_ARCH)
 
-OBJS		= $(patsubst %.c,%.o,$(wildcard *.c)) \
-		  $(patsubst %.c,%.o,$(wildcard syscalls/*.c)) \
-		  $(patsubst %.c,%.o,$(SYSCALLS_ARCH)) \
-		  $(patsubst %.c,%.o,$(wildcard ioctls/*.c)) \
-		  $(patsubst %.c,%.o,$(wildcard net/*.c))
+OBJS		= $(sort $(patsubst %.c,%.o,$(wildcard *.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard children/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard ioctls/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard net/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard syscalls/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(SYSCALLS_ARCH)))
 
 DEPDIR= .deps
 
@@ -101,20 +109,21 @@
 	git prune-packed
 	git archive --format=tar.gz --prefix=trinity-$(VERSION)/ HEAD > trinity-$(VERSION).tgz
 
-install:
+install: trinity
 	install -d -m 755 $(INSTALL_PREFIX)/bin
 	install trinity $(INSTALL_PREFIX)/bin
 
-tags:
+tags:	$(SRCS)
 	@ctags -R --exclude=tmp
 
 mirror:
 	@git push --mirror git@github.com:kernelslacker/trinity.git
 
 scan:
-	scan-build --use-analyzer=/usr/bin/clang make
+	@scan-build --use-analyzer=/usr/bin/clang make
 
 coverity:
+	rm -rf cov-int trinity-coverity.tgz
 	cov-build --dir cov-int make
 	tar czvf trinity-coverity.tgz cov-int
