=== debian/changelog ===
trinity (1.3-1) unstable; urgency=medium

  * New upstream version 1.3.
  * Removed wrong dependency on linux-headers. (Closes: #733771).

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 17 Jan 2014 21:10:15 -0300
