=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), linux-libc-dev, libdrm-dev, linux-headers-amd64 | linux-headers-generic | linux-headers
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), linux-libc-dev, openstack-pkg-tools
+Standards-Version: 3.9.5
 Homepage: http://codemonkey.org.uk/projects/trinity/
-#Vcs-Git: git://git.debian.org/collab-maint/trinity.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/trinity.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/trinity.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trinity.git
 
 Package: trinity
 Architecture: any
