=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 override_dh_auto_configure:
 	./configure.sh
@@ -13,9 +14,12 @@
 	make install DESTDIR=./usr
 
 override_dh_clean:
+	dh_clean
 	make clean
 	rm -rf tmp
 	rm -rf config.h
+	rm -rf debian/trinity
+	rm -rf usr/
 
 %:
 	dh $@
