=== debian/watch ===
version=3
http://codemonkey.org.uk/projects/trinity/trinity-(.*).tgz
