=== debian/changelog ===
trinity (1.5-2) unstable; urgency=medium

  * Enable verbose build.
  * Fix FTBFS on mips/mipsel, thanks Arturo Borrero Gonzalez. (Closes: #790683).

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 01 Jul 2015 15:01:56 +0800

trinity (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Upstream release fixes a bug in IA64 (Closes: #788695)
  * Upstream release fixes a bug building against newer kernels (Closes:
    #733770)
  * Updated standards version, no changes needed.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 29 Jun 2015 13:08:59 +0800

trinity (1.4+git300714+fce8684-1) unstable; urgency=medium

  * Snapshot from git after new upstream release.
  * Watch file updated.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 30 Jul 2014 20:34:47 -0300
