=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), linux-libc-dev, openstack-pkg-tools
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), linux-libc-dev
+Standards-Version: 3.9.6
 Homepage: http://codemonkey.org.uk/projects/trinity/
 Vcs-Git: git://anonscm.debian.org/collab-maint/trinity.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trinity.git
