## trinity 1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION="1.5"
+VERSION="1.6"
 
 INSTALL_PREFIX ?= $(DESTDIR)
 INSTALL_PREFIX ?= $(HOME)
@@ -11,6 +11,13 @@
 LD := $(CROSS_COMPILE)$(LD)
 
 CFLAGS += -Wall -W -g -O2 -I. -Iinclude/ -Wimplicit -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D__linux__
+
+# Only enabled during development, and on gcc 4.9+
+CPP_MAJOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f1)
+CPP_MINOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f2)
+DEVEL	:= $(shell grep VERSION Makefile | head -n1 | grep pre | wc -l)
+CFLAGS	+= $(shell if [ $(CPP_MAJOR) -eq 4 -a $(CPP_MINOR) -ge 9 -a $(DEVEL) -eq 1 ] ; then echo "-Werror"; else echo ""; fi)
+
 ifneq ($(SYSROOT),)
 CFLAGS += --sysroot=$(SYSROOT)
 endif
@@ -34,16 +41,11 @@
 ifneq ($(shell $(CC) -v 2>&1 | grep -c "clang"), 1)
 CFLAGS += -Wlogical-op
 CFLAGS += -Wstrict-aliasing=3
+CFLAGS += $(shell if [ $(DEVEL) -eq 0 ]; then echo "-Wno-maybe-uninitialized"; else echo ""; fi)
 endif
 
 # Sometimes useful for debugging. more useful with clang than gcc.
 #CFLAGS += -fsanitize=address
-
-# Only enabled during development, and on gcc 4.8+
-CPP_MAJOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f1)
-CPP_MINOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f2)
-DEVEL	:= $(shell grep VERSION Makefile | head -n1 | grep pre | wc -l)
-CFLAGS	+= $(shell if [ $(CPP_MAJOR) -eq 4 -a $(CPP_MINOR) -ge 8 -a $(DEVEL) -eq 1 ] ; then echo "-Werror"; else echo ""; fi)
 
 V	= @
 Q	= $(V:1=)
@@ -71,15 +73,21 @@
 
 SRCS		= $(wildcard *.c) \
 		  $(wildcard children/*.c) \
+		  $(wildcard fds/*.c) \
 		  $(wildcard ioctls/*.c) \
+		  $(wildcard mm/*.c) \
 		  $(wildcard net/*.c) \
+		  $(wildcard rand/*.c) \
 		  $(wildcard syscalls/*.c) \
 		  $(SYSCALLS_ARCH)
 
 OBJS		= $(sort $(patsubst %.c,%.o,$(wildcard *.c))) \
 		  $(sort $(patsubst %.c,%.o,$(wildcard children/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard fds/*.c))) \
 		  $(sort $(patsubst %.c,%.o,$(wildcard ioctls/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard mm/*.c))) \
 		  $(sort $(patsubst %.c,%.o,$(wildcard net/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard rand/*.c))) \
 		  $(sort $(patsubst %.c,%.o,$(wildcard syscalls/*.c))) \
 		  $(sort $(patsubst %.c,%.o,$(SYSCALLS_ARCH)))
 
@@ -112,20 +120,10 @@
 	@rm -rf trinity-coverity.tar.xz cov-int
 	@rm -f include/version.h
 
-devel:
-	@perl -p -i -e 's/DEVEL=0/DEVEL=1/' configure.sh
-	@git commit Makefile configure.sh -m "Enable -Werror & devel mode"
-
-release:
-	@perl -p -i -e 's/DEVEL=1/DEVEL=0/' configure.sh
-	@git commit Makefile configure.sh -m "Disable -Werror & devel mode"
-
 tag:
 	@git tag -a v$(VERSION) -m "$(VERSION) release."
 
 tarball:
-	@git repack -a -d
-	@git prune-packed
 	@git archive --format=tar --prefix=trinity-$(VERSION)/ HEAD > trinity-$(VERSION).tar
 	@xz -9 trinity-$(VERSION).tar
 
@@ -137,7 +135,7 @@
 	@ctags -R --exclude=tmp
 
 scan:
-	@scan-build --use-analyzer=/usr/bin/clang make
+	@scan-build --use-analyzer=/usr/bin/clang make -j $(NR_CPUS)
 
 coverity:
 	@rm -rf cov-int trinity-coverity.tar.xz
