=== debian/changelog ===
trinity (1.6-2) unstable; urgency=medium

  * Fix build issues on mips*. 
  * Upload to unstable.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 17 Mar 2016 12:07:56 +0000

trinity (1.6-1) experimental; urgency=medium

  * Start packaging over using a new upstream tree.
  * New upstream release.
  * Bumped standard version to 3.9.7, no changes were needed.
  * Bumped debhelper compat level, no changes were needed.
  * Use secure URI for VCS-* fields. 
  * Upload to experimental.
  * Update upstream changelog.
  * Update debian/copyright.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 08 Mar 2016 10:14:22 +0000
