=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), linux-libc-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://codemonkey.org.uk/projects/trinity/
-Vcs-Git: git://anonscm.debian.org/collab-maint/trinity.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trinity.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/trinity.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/trinity.git
 
 Package: trinity
 Architecture: any
