=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/openstack-pkg-tools/pkgos.make
 
 override_dh_auto_configure:
+	perl -p -i -e 's/DEVEL=1/DEVEL=0/' configure.sh
 	./configure.sh
 
 override_dh_auto_install:
@@ -21,5 +21,12 @@
 	rm -rf debian/trinity
 	rm -rf usr/
 
+override_dh_installchangelogs:
+	if [ -e $(CURDIR)/debian/CHANGELOG ] ; then \
+		dh_installchangelogs $(CURDIR)/debian/CHANGELOG ; \
+	else \
+		dh_installchangelogs ; \
+	fi
+
 %:
 	dh $@
