## trinity 1.7~git20161005

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION="1.6"
+VERSION="1.7pre"
 
 INSTALL_PREFIX ?= $(DESTDIR)
 INSTALL_PREFIX ?= $(HOME)
@@ -10,13 +10,15 @@
 CC := $(CROSS_COMPILE)$(CC)
 LD := $(CROSS_COMPILE)$(LD)
 
-CFLAGS += -Wall -W -g -O2 -I. -Iinclude/ -Wimplicit -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D__linux__
+CFLAGS += -Wall -Wextra -g -O2 -I. -Iinclude/ -Wimplicit -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D__linux__
+
+CFLAGS += $(shell if $(CC) -std=gnu11 -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-std=gnu11"; else echo "-std=gnu99"; fi)
 
 # Only enabled during development, and on gcc 4.9+
 CPP_MAJOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f1)
 CPP_MINOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f2)
 DEVEL	:= $(shell grep VERSION Makefile | head -n1 | grep pre | wc -l)
-CFLAGS	+= $(shell if [ $(CPP_MAJOR) -eq 4 -a $(CPP_MINOR) -ge 9 -a $(DEVEL) -eq 1 ] ; then echo "-Werror"; else echo ""; fi)
+CFLAGS	+= $(shell if [ $(CPP_MAJOR) -eq 5 -a $(CPP_MINOR) -ge 1 -a $(DEVEL) -eq 1 ] ; then echo "-Werror"; else echo ""; fi)
 
 ifneq ($(SYSROOT),)
 CFLAGS += --sysroot=$(SYSROOT)
@@ -36,6 +38,9 @@
 
 # needed for show_backtrace() to work correctly.
 LDFLAGS += -rdynamic
+
+# glibc versions before 2.17 for clock_gettime
+LDLIBS += -lrt
 
 # gcc only.
 ifneq ($(shell $(CC) -v 2>&1 | grep -c "clang"), 1)
@@ -67,12 +72,17 @@
 		  (ia64*) echo syscalls/ia64/*.c ;; \
 		  (ppc*|powerpc*) echo syscalls/ppc/*.c ;; \
 		  (sparc*) echo syscalls/sparc/*.c ;; \
+		  (x86_64*) echo syscalls/x86/*.c \
+				 syscalls/x86/i386/*.c \
+				 syscalls/x86/x86_64/*.c;; \
+		  (i?86*) echo syscalls/x86/*.c \
+			       syscalls/x86/i386/*.c;; \
 		  esac)
 
 HEADERS		= $(patsubst %.h,%.h,$(wildcard *.h)) $(patsubst %.h,%.h,$(wildcard syscalls/*.h)) $(patsubst %.h,%.h,$(wildcard ioctls/*.h))
 
 SRCS		= $(wildcard *.c) \
-		  $(wildcard children/*.c) \
+		  $(wildcard childops/*.c) \
 		  $(wildcard fds/*.c) \
 		  $(wildcard ioctls/*.c) \
 		  $(wildcard mm/*.c) \
@@ -82,7 +92,7 @@
 		  $(SYSCALLS_ARCH)
 
 OBJS		= $(sort $(patsubst %.c,%.o,$(wildcard *.c))) \
-		  $(sort $(patsubst %.c,%.o,$(wildcard children/*.c))) \
+		  $(sort $(patsubst %.c,%.o,$(wildcard childops/*.c))) \
 		  $(sort $(patsubst %.c,%.o,$(wildcard fds/*.c))) \
 		  $(sort $(patsubst %.c,%.o,$(wildcard ioctls/*.c))) \
 		  $(sort $(patsubst %.c,%.o,$(wildcard mm/*.c))) \
@@ -96,7 +106,7 @@
 -include $(SRCS:%.c=$(DEPDIR)/%.d)
 
 trinity: version test $(OBJS) $(HEADERS)
-	$(QUIET_CC)$(CC) $(CFLAGS) $(LDFLAGS) -o trinity $(OBJS)
+	$(QUIET_CC)$(CC) $(CFLAGS) $(LDFLAGS) -o trinity $(OBJS) $(LDLIBS)
 	@mkdir -p tmp
 
 df = $(DEPDIR)/$(*D)/$(*F)
@@ -142,3 +152,5 @@
 	@cov-build --dir cov-int make -j $(NR_CPUS)
 	@tar cJvf trinity-coverity.tar.xz cov-int
 
+cppcheck:
+	@scripts/cppcheck.sh
