=== debian/changelog ===
trinity (1.7~git20161005-1) unstable; urgency=medium

  * Packaging an upstream snapshot
  * Drop patches to build on mips, as they were applied upstream
  * Remove unnecessary overrides from debian/rules
    - dh_clean replaced with clean target
    - dh_auto_configure upstream changed configure script
  * Add clean target to debian/rules
  * Update upstream changelog
  * Bumped standard version to 3.9.8, no changes were needed
  * Store the generated tarball using pristine-tar
  * Override 2 lintian warnings
    Reasoning for the overrides is on the debian/trinity.lintian-overrides
    file
  * Install the manpage provided by upstream

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 12 Oct 2016 12:24:49 +0800
