## trinity 1.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION="1.7pre"
+VERSION="1.7"
 
 INSTALL_PREFIX ?= $(DESTDIR)
 INSTALL_PREFIX ?= $(HOME)
