=== debian/changelog ===
trinity (1.7-1) unstable; urgency=medium

  * New upstream release
  * Enable all hardening flags
  * Remove lintian overrides
  * Update upstream changelog
  * Enable verbose build (Closes: #790719)
  * Partially revert commit 6966190, replace clean target in debian/rules
    by a dh_clean override.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 11 Nov 2016 16:51:24 +0800
