=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), linux-libc-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://codemonkey.org.uk/projects/trinity/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/trinity.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/trinity.git
