=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_install:
 	make install DESTDIR=./usr
@@ -16,9 +17,11 @@
 		dh_installchangelogs ; \
 	fi
 
-clean:
+override_dh_clean:
 	make clean
 	dh_clean usr/bin/trinity config.h
 
+override_dh_auto_build:
+	make V=1
 %:
 	dh $@
