=== debian/changelog ===
trinity (1.8-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ gustavo panizzo ]
  * Add a patch to fix FTBFS on kernels without VIDIOC_RESERVED (Closes:
    #917664)
  * Use compat level 11
  * Bump standards version to 4.3.0, no changes were needed
  * Add a patch to skip irda tests when the header is missing

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 31 Dec 2018 14:05:28 +0800

trinity (1.8-5) unstable; urgency=medium

  * Use an upstream patch to fix a FTBFS (Closes: #906511).

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 28 Aug 2018 15:55:36 +0800

trinity (1.8-4) unstable; urgency=medium

  * Add patch to correctly build on Ubuntu, thanks Jeremy Bicha
  * Fix autopkg test (Closes: #894646)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 04 Apr 2018 19:02:15 +0800

trinity (1.8-3) unstable; urgency=medium

  * Backport an upstream patch to build against glibc 2.27 (Closes: #891293)
  * Bumped standards version to 4.1.3, no changes were needed
  * Add minimal autopkg tests

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 21 Mar 2018 15:13:33 +0000

trinity (1.8-2) unstable; urgency=medium

  * Fix FTBFS against linux-libc-dev 4.12 (Closes: #884034)
  * Bumped standards version to 4.1.2, no changes were needed
  * Update VCS-* fields to use salsa.debian.org

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 26 Dec 2017 10:22:12 +0800

trinity (1.8-1) unstable; urgency=medium

  * New upstream release
  * Bumped standard version to 4.1.1, no changes were needed
  * Remove Anibal from Uploaders field, thanks for the previous sponsoring
  * Update upstream changelog
  * Build the server

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 18 Nov 2017 13:50:38 +0800
