=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), linux-libc-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), linux-libc-dev
+Standards-Version: 4.3.0
 Homepage: http://codemonkey.org.uk/projects/trinity/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/trinity.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/trinity.git
+Vcs-Git: https://salsa.debian.org/debian/trinity.git
+Vcs-Browser: https://salsa.debian.org/debian/trinity
 
 Package: trinity
 Architecture: any
