=== debian/tests/control ===
Tests: run-trinity--help
