## trinity 1.9

=== debian/changelog ===
trinity (1.9-lnd.4) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:51:02 +0800

trinity (1.9-lnd.3) unstable; urgency=medium

  * Fix ctrl-c problem caused by create_timer test

 -- Hongchen Zhang <zhanghongchen@loongson.cn>  Wed, 1 Dec 2021 10:00:36 +0800

trinity (1.9-lnd.2) unstable; urgency=medium

  * fix some SEGV problem

 -- Hongchen Zhang <zhanghongchen@loongson.cn>  Tue, 16 Nov 2021 20:11:00 +0800

trinity (1.9-1.lnd.1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  * Add loongarch basic support

 -- Qing Zhang <zhangqing@loongson.cn>  Thu, 29 Jul 2021 15:11:00 +0800
