=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), linux-libc-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.1.3
 Homepage: http://codemonkey.org.uk/projects/trinity/
 Vcs-Git: https://salsa.debian.org/debian/trinity.git
 Vcs-Browser: https://salsa.debian.org/debian/trinity
