=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_install:
	dh_auto_install -- DESTDIR=./usr
override_dh_clean:
	make clean
	dh_clean usr/bin/trinity config.h

%:
	dh $@
