## trinity 1.9%2Bgit20200331.4d2343bd18c7b

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,4 @@
-VERSION="1.8"
-
-ifeq (,$(findstring pre,$(VERSION)))
-DEVEL = 0
-else
-DEVEL = 1
-endif
+VERSION="2019.06"
 
 INSTALL_PREFIX ?= $(DESTDIR)
 INSTALL_PREFIX ?= $(HOME)
@@ -22,14 +16,6 @@
 CCSTD := $(shell if $(CC) -std=gnu11 -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-std=gnu11"; else echo "-std=gnu99"; fi)
 CFLAGS += $(CCSTD)
 
-# -Werror only enabled during development, and on gcc 7+
-ifeq ($(DEVEL), 1)
-CPP_MAJOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f1)
-CPP_MINOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f2)
-WERROR	:= $(shell if [ $(CPP_MAJOR) -ge 7 ] ; then echo "-Werror"; else echo ""; fi)
-CFLAGS	+= $(WERROR)
-endif
-
 ifneq ($(SYSROOT),)
 CFLAGS += --sysroot=$(SYSROOT)
 endif
@@ -46,6 +32,8 @@
 CFLAGS += -Wno-format-nonliteral
 CFLAGS += -Wstrict-prototypes -Wmissing-prototypes
 CFLAGS += -fsigned-char
+# BPF spew.
+CFLAGS += -Wno-missing-field-initializers
 
 # needed for show_backtrace() to work correctly.
 LDFLAGS += -rdynamic
@@ -57,9 +45,6 @@
 ifneq ($(shell $(CC) -v 2>&1 | grep -c "clang"), 1)
 CFLAGS += -Wlogical-op
 CFLAGS += -Wstrict-aliasing=3
-ifeq ($(DEVEL), 0)
-CFLAGS += -Wno-maybe-uninitialized
-endif
 endif
 
 # Sometimes useful for debugging. more useful with clang than gcc.
@@ -87,6 +72,7 @@
 				  syscalls/x86/x86_64/*.c;; \
 		   (i?86*) echo syscalls/x86/*.c \
 				syscalls/x86/i386/*.c;; \
+		   (s390x*) echo syscalls/s390x/*.c ;; \
 		   esac)
 
 VERSION_H	:= include/version.h
@@ -94,7 +80,6 @@
 HEADERS		:= $(patsubst %.h,%.h,$(wildcard *.h)) $(patsubst %.h,%.h,$(wildcard syscalls/*.h)) $(patsubst %.h,%.h,$(wildcard ioctls/*.h))
 
 SRCS		:= $(wildcard *.c) \
-		   $(wildcard childops/*.c) \
 		   $(wildcard fds/*.c) \
 		   $(wildcard ioctls/*.c) \
 		   $(wildcard mm/*.c) \
@@ -104,7 +89,6 @@
 		   $(SYSCALLS_ARCH)
 
 OBJS		:= $(sort $(patsubst %.c,%.o,$(wildcard *.c))) \
-		   $(sort $(patsubst %.c,%.o,$(wildcard childops/*.c))) \
 		   $(sort $(patsubst %.c,%.o,$(wildcard fds/*.c))) \
 		   $(sort $(patsubst %.c,%.o,$(wildcard ioctls/*.c))) \
 		   $(sort $(patsubst %.c,%.o,$(wildcard mm/*.c))) \
