## trinity 1.9%2Bgit20230728.e71872454d26

=== debian/changelog ===
trinity (1.9+git20230728.e71872454d26-1) unstable; urgency=medium

  * Package an upstream snapshot (Closes: #1042224)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 28 Jul 2023 23:14:24 +0200

trinity (1.9+git20230109.87f1530-1) unstable; urgency=medium

  * Package an upstream snapshot (Closes: #1028795)
  * [1214da] Update copyright years
  * [398f7c] Bump standards version to 4.6.2, no changes were needed

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 23 Jan 2023 22:08:07 +0100

trinity (1.9+git20220923.e63e484-1) unstable; urgency=medium

  * Package an upstream snapshot (Closes: #1019271)
  * [a0b23a] Update the copyright years
  * [f3e0b2] Update the homepage of the project
  * [efa9af] Bump standards version to 4.6.0.1, no changes were needed

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sun, 25 Sep 2022 17:34:56 +0200

trinity (1.9+git20200331.4d2343bd18c7b-2) unstable; urgency=medium

  * [c24aa6] Make the build verbose by default.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: 956024)
  * [23017d] Mark tests as superficial (Closes: 971505)
  * [d510fa] Use debhelper-compat level 13

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 29 Oct 2020 21:12:17 +0000

trinity (1.9+git20200331.4d2343bd18c7b-1) unstable; urgency=medium

  * Package an upstream snapshot (Closes: #954588)
  * [484354] Remove outdated patches
  * [1f0336] No longer ship a CHANGELOG
  * [c7bd50] Bump standards version to 4.5.0, no changes were needed
  * [7e0f3a] Use debhelper-compat level 12
  * [919f9f] Add upstream metadata
  * [8b954c] The logging server has been removed, remove its references
    from packaging
  * [fd6397] Add Rules-Requires-Root: no to d/rules

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 31 Mar 2020 21:57:23 +0000
