## trinity 1.9%2Bgit20241022.ba2360ed84a8

=== debian/changelog ===
trinity (1.9+git20241022.ba2360ed84a8-1deepin1) unstable; urgency=medium

  * add LoongArch64 support.

 -- lichenggang <lichenggang@deepin.org>  Wed, 19 Mar 2025 15:43:39 +0800

trinity (1.9+git20241022.ba2360ed84a8-1) unstable; urgency=medium

  * Package an upstream snapshot (Closes: #1022231)
  * [7bf515] Bump standards version to 4.7.0, no changes were needed
  * [13f3ba] Update copyright years
  * [e3c0e0] Change the shebang of a script to be able to use bash features

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 22 Oct 2024 05:58:12 +0000
