=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), linux-libc-dev
-Standards-Version: 4.1.3
-Homepage: http://codemonkey.org.uk/projects/trinity/
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), linux-libc-dev
+Standards-Version: 4.7.0
+Homepage: https://github.com/kernelslacker/trinity
 Vcs-Git: https://salsa.debian.org/debian/trinity.git
 Vcs-Browser: https://salsa.debian.org/debian/trinity
+Rules-Requires-Root: no
 
 Package: trinity
 Architecture: any
