## trinity 1.9%2Bgit20250902.294c465

=== debian/changelog ===
trinity (1.9+git20250902.294c465-1) unstable; urgency=medium

  * QA upload.

  [ Boyuan Yang ]
  * New upstream snapshot.
  * Orphan the package. (See #1114568)
  * Bump Standards-Version to 4.7.3.
  * debian/watch: Update to version 5.
  * debian/gbp.conf: Follow dep-14.

  [ Ural Tunaboyu ]
  * d/rules: exclude build flags to enable frame pointers (LP: #2114228)

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Jan 2026 13:44:54 -0500
