## trinity 1.9+git20200331.4d2343bd18c7b

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), linux-libc-dev
-Standards-Version: 4.7.0
-Homepage: https://github.com/kernelslacker/trinity
+Standards-Version: 4.5.0
+Homepage: http://codemonkey.org.uk/projects/trinity/
 Vcs-Git: https://salsa.debian.org/debian/trinity.git
 Vcs-Browser: https://salsa.debian.org/debian/trinity
 Rules-Requires-Root: no
