=== debian/tests/control ===
Tests: run-trinity--help
Restrictions: superficial
