## trinity 1.9+git20241022.ba2360ed84a8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION="2021.10"
+VERSION="2023.01"
 
 INSTALL_PREFIX ?= $(DESTDIR)
 INSTALL_PREFIX ?= $(HOME)
