=== debian/changelog ===
trinity (1.9+git20241022.ba2360ed84a8-1ubuntu1) questing; urgency=medium

  * d/rules: exclude build flags to enable frame pointers (LP: #2114228)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 12 Jun 2025 13:12:15 -0700
