## trinity 1.9+git20250902.294c465

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,11 @@
 Source: trinity
 Section: utils
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), linux-libc-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/kernelslacker/trinity
 Vcs-Git: https://salsa.debian.org/debian/trinity.git
 Vcs-Browser: https://salsa.debian.org/debian/trinity
-Rules-Requires-Root: no
-
-Package: trinity
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: system call fuzz tester
  As 'fuzz testing' suggests, trinity calls syscalls at random, with random
  arguments. Where Trinity differs is that the arguments it passes are not
@@ -34,3 +27,9 @@
  that may be writable on mounted network file shares.  It may create network
  packets that may cause disruption on your local network.
  Run at your own risk.
+
+Package: trinity
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
