=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+# https://bugs.launchpad.net/ubuntu/+source/trinity/+bug/2114228
+# https://salsa.debian.org/debian/trinity/-/merge_requests/2
+export DEB_CFLAGS_MAINT_STRIP=-fno-omit-frame-pointer -mno-omit-leaf-frame-pointer
 
 ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build:
