=== debian/watch ===
Version: 5

Source: https://github.com/kernelslacker/trinity
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.9+git%cd.%h
